Package org.apache.sling.testing.mock.sling

# Enum Class NodeTypeMode

java.lang.Object
java.lang.Enum<NodeTypeMode>
org.apache.sling.testing.mock.sling.NodeTypeMode

All Implemented Interfaces:
  `Serializable`, `Comparable<NodeTypeMode>`, `Constable`

public enum NodeTypeMode extends Enum<NodeTypeMode>
How to handle node types for different `ResourceResolverType` types.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NAMESPACES_ONLY`
Namespaces have to be registered, but nodetypes are not supported.
`NODETYPES_REQUIRED`
Nodetypes including namespaces have to be registered.
`NOT_SUPPORTED`
Neither registration of namespaces or node types required (no underlying JCR).

## Method Summary

Modifier and Type
Method
Description
`static NodeTypeMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NodeTypeMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NOT_SUPPORTED

public static final NodeTypeMode NOT_SUPPORTED
Neither registration of namespaces or node types required (no underlying JCR).

### NAMESPACES_ONLY

public static final NodeTypeMode NAMESPACES_ONLY
Namespaces have to be registered, but nodetypes are not supported.

### NODETYPES_REQUIRED

public static final NodeTypeMode NODETYPES_REQUIRED
Nodetypes including namespaces have to be registered.

## Method Details

### values

public static NodeTypeMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NodeTypeMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null